# Color theme.
#   Choose from `default`, `ocean`, `forest`, `coffee`, `dark`, or `1950s`.
theme = "minimal"

# Font style.
#   Choose from `default`, `classic`, or `playfair`.
font = ""
font_size = "L"

main_menu = {align = "r", show_logo = true}

email = "xry111@mengyan1223.wang"
gnupg_key = "12E9D32E766A57DC069D76B0D95E4716CCBB34DC"
address = {street = "266 Xifeng Rd.", city="Xi'an", region="Shaanxi", postcode="710126", country="China", country_code="CN"}
office_hours = ""
phone = ""
skype = ""
telegram = ""

# Enable Keybase in Contact widget by entering your keybase.io username.
keybase = ""

# Discussion link (e.g. link to a forum, mailing list, or chat).
#   Uncomment line below to use.
#   discussion = { name = "Discuss", url = "https://discourse.gohugo.io" }

# Diplay a logo in navigation bar rather than title (optional).
#   To enable, place an image in `static/img/` and reference its filename below. To disable, set the value to "".
logo = ""

# Enable/disable map in Contact widget.
# To show your address on a map in the contact widget, you need to enter your latitude, longitude and choose
# a map provider below.
# To use Google Maps, set `map = 1` and enter your API key that can be obtained here:
#   https://developers.google.com/maps/documentation/javascript/get-api-key
# To use OpenStreetMap tiles, set `map = 2`.
# To use OpenStreetMap on a high traffic site, set `map = 3` and enter your API key that can be obtained here:
#   https://www.mapbox.com/studio/account/tokens
# To get your coordinates, right-click on Google Maps and choose "What's here?". The coords will show up at the bottom.
#
# Map provider:
#   0: No map
#   1: Google Maps
#   2: OpenStreetMap (Mapnik)
#   3: OpenStreetMap (Mapbox)

# Date and time format (refer to Go's date format: http://fuckinggodateformat.com )
#   Examples: "Mon, Jan 2, 2006" or "2006-01-02"
date_format = "Jan 2, 2006"
#   Examples: "3:04 pm" or "15:04"
time_format = "3:04 PM"
address_format = "en-us"

# Show estimated reading time for posts?
reading_time = true

# Display comment count? Requires commenting to be enabled.
comment_count = true

# Display section pager for posts?
section_pager = false

# Enable global LaTeX math rendering?
#   If false, you can enable it locally on a per page basis.
math = true

# Highlight.js options
#   highlight
#     Enable global source code highlighting?  If false, you can
#     override it for a particular page in that page's preamble.
#
#     Example: highlight = true
#
#   highlight_languages
#     Add support for highlighting additional languages. Support for
#     languages mentioned here will be included in all pages.
#
#     Example: highlight_languages = ["go", "lisp", "ocaml"]
#
#   highlight_style
#     Choose a different CSS style for highlighting source
#     code. Setting this option in a page's preamble has no
#     effect.
#
#     Example: highlight_style = "github-gist"
#
#   For the list of supported languages and styles, see:
#   https://cdnjs.com/libraries/highlight.js/
#
#   For more info on the highlighting options, see:
#   https://sourcethemes.com/academic/post/writing-markdown-latex/#highlighting-options
highlight = true
highlight_languages = [ "go", "python", "x86asm" ]
# highlight_style = "github"

# Enable native social sharing buttons?
sharing = true

# Link custom CSS and JS assets
#   (relative to /static/css and /static/js respectively)
custom_css = []
custom_js  = []

# Publication types.
#   Used to categorize publications.
#   The index of the publication type in the list is used as its unique numerical identifier.
#   The numeric ID is used in a publication's frontmatter to categorize it.
#   The language can be edited below.
#   For multi-lingual sites, copy this block to each language section at the end of this file.
publication_types = [
'Uncategorized',  # 0
'Conference proceedings',  # 1
'Journal',  # 2
'Work in progress',  # 3
'Technical report',  # 4
'Book',  # 5
'Book chapter'  # 6
]

edit_page = {repo_url = "https://git.mengyan1223.wang/xry111/blog", repo_branch="master", editable = {}}

# Configuration of talk pages.
[talks]
  # Show talk time?
  time = true

# Configuration of publication pages.
[publications]
  # Date format (refer to Go's date format: http://fuckinggodateformat.com )
  #   Examples: "Mon, Jan 2, 2006" or "2006-01-02"
  date_format = "January, 2006"

# Configuration of project pages.
[params.projects]
  # List publications and talks related to the project?
  list_children = true

  # Publication list format.
  #   0 = Simple
  #   1 = Detailed
  #   2 = APA
  #   3 = MLA
  publication_format = 3

[search]
  engine = 1

[map]
  engine = 0
  map_api_key = ""
  latitude = "37.4275"
  longitude = "-122.1697"
  zoom = 15

[comments]
  engine = 0
  commentable = {}

[avatar]
  gravatar = false
  shape = "circle"

# Available address formats.
[address_formats]
  en-us = {order = ['street', 'city', 'region', 'postcode'], delimiters = [', ', ', ', ' ', '']}
  en-gb = {order = ['street', 'city', 'region', 'postcode'], delimiters = [', ', ', ', ', ', '']}
  de = {order = ['street', 'postcode', 'city'], delimiters = ['<br>', ' ', '']}
  fr-fr = {order = ['street', 'postcode', 'city'], delimiters = ['<br>', ' ', '']}
  zh = {order = ['postcode', 'region', 'city', 'street'], delimiters = [' ', ' ', ' ', '']}

[cms]
  # See https://sourcethemes.com/academic/docs/install/#install-with-web-browser
  netlify_cms = false
